local TrackedAuras = ShotGlassRaidFrames.TrackedAuras

if UnitClassBase("player") == "Druid" then
	
	local TextFunction = ShotGlassRaidFrames.TextCoutdownFunction	-- Displays a countdown when the remaining duration is less than 6 seconds
	
	------------------------
	-- Druid HoTs
	------------------------
	-- Left
	TrackedAuras[GetSpellInfo(77495)] = {position = 3, priority = 2, color = {r = .9, g = 1, b = .5, a = 1}, }				-- Harmony
	TrackedAuras[GetSpellInfo(8936)] = {position = 3, priority = 2, color = {r = .2,g = 1, b = .4, a = 1}, }				-- Regrowth
	TrackedAuras[GetSpellInfo(48438)] = {position = 3, priority = 1,  color = {r = .2,g = 1, b = 1, a = 1}, }				-- Wild Growth
	
	-- Middle
	TrackedAuras[GetSpellInfo(33763)] = {position = 2, color = {r = .6,g = 1, b = .1, a = 1}, textFunction = TextFunction,}	-- Lifebloom
	
	-- Right
	TrackedAuras[GetSpellInfo(774)] = {position = 1, color = {r = .8,g = 0, b = .8, a = 1},}								-- Rejuvenation
					
	------------------------
	-- Curable Debuff Types
	------------------------
	TrackedAuras["Poison"] = {position = 5, color = {r = 0,g = .9, b = .1, a = 1},}
	TrackedAuras["Curse"] = {position = 4, color = {r = .9,g = 0, b = .7, a = 1},}
	TrackedAuras["Magic"] = {position = 4, color = {r = 0,g = .3, b = .9, a = 1},}
end


-----------------------
-- Raid-Specific Debuffs (Example)
-----------------------
-- Rotface
TrackedAuras["Mutated Infection "] = {position = 4, color = {r = 1,g = 0, b = 0, a = 1},}

-- Sindragosa 
TrackedAuras["Ice Tomb"] = {position = 4, color = {r = .4,g = .4, b = 1, a = 1},}
TrackedAuras["Frost Beacon"] = {position = 4, color = {r = 1,g = 1, b = 1, a = 1},}
TrackedAuras["Unchained Magic"] = {position = 5, color = {r = .5,g = 0, b = 1, a = 1},}
TrackedAuras["Mystic Buffet"] = {position = 6, color = {r = .5,g = 0, b = .5, a = 1},}

-- Blood Queen
TrackedAuras["Essence of the Blood Queen"] = {position = 5, color = {r = 1,g = 0, b = 0, a = 1},}
TrackedAuras["Frenzied Bloodthirst"] = {position = 5, color = {r = .8,g = .3, b = 0, a = 1},}