	
if UnitClassBase("player") == "Priest" then
	local TrackedAuras = ShotGlassRaidFrames.TrackedAuras
	local TextFunction = ShotGlassRaidFrames.AuraTextFunction	-- Displays a countdown when the remaining duration is less than 6 seconds
 
	------------------------
    -- Priest Auras
	------------------------
	-- Left
	TrackedAuras[GetSpellInfo(139)]   = {position = 3, priority = 1, color = {r = 0,g = .9, b = 0, a = 1},}   -- "Renew", Green
	
	-- Middle
	TrackedAuras[GetSpellInfo(17)]    = {position = 2, priority = 2, color = {r = .9,g = .9, b = .9, a = 1},} -- "Power Word: Shield", White
	TrackedAuras[GetSpellInfo(6788)]  = {position = 2, priority = 1, color = {r = .9,g = 0, b = 0, a = 1}, textFunction = TextFunction,}   -- "Weakened Soul", Red
	
	-- Right
	TrackedAuras[GetSpellInfo(21562)] = {position = 1, priority = 1, color = {r =  0,g = 9, b = 9, a = 1},}   -- "Power Word: Fortitude", Cyan
	TrackedAuras[GetSpellInfo(6346)]  = {position = 1, priority = 3, color = {r = 0,g = .9, b = .9, a = 1},}  -- "Fear Ward", Yellow
	TrackedAuras[GetSpellInfo(27863)] = {position = 1, priority = 2, color = {r = 0,g = 0, b = .9, a = 1},}   -- "Shadow Protection", Blue
	TrackedAuras[GetSpellInfo(33076)] = {position = 1, priority = 1, color = {r = .9,g = 0, b = .9, a = 1},}  -- "Prayer of Mending", 
	
	------------------------
    -- Curable Debuff Types
	------------------------
	TrackedAuras["Disease"]           = {position = 4, priority = 2, color = {r = .7,g = .7, b = 1, a = 1},}
	TrackedAuras["Curse"]             = {position = 4, priority = 1, color = {r = .9,g = 0, b = .7, a = 1},}  -- Purple
	TrackedAuras["Magic"]             = {position = 6, priority = 1, color = {r = 0,g = .3, b = .9, a = 1},}  -- Bluish
	TrackedAuras["Poison"]            = {position = 5, priority = 1, color = {r = 0,g = .9, b = .1, a = 1},}  -- Greenish
	
end